<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">

	<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css" integrity="sha384-xOolHFLEh07PJGoPkLv1IbcEPTNtaed2xpHsD9ESMhqIYd0nLMwNLD69Npy4HI+N" crossorigin="anonymous">

	<link rel="stylesheet" href="./index.css">

	<title>Bootstrap Grid System</title>
</head>
<body class="text-center">
	<h1>Bootstrap Introduction and Simple Styles</h1>

	<!-- Two columns start -->
	<h2>Two Columns</h2>
	<div>
		<!-- Row with 2 equal columns -->
		<h3 class="pt-3 pd-3">1:1 Ratio</h3>
		<div class="text-light row">
			<div class="bg-primary pt-3 pd-3 border border-dark col-6">
				6 Columns
			</div>
			<div class="bg-secondary pt-3 pd-3 border border-dark col-6">
				6 Columns
			</div>
		</div>

		<!-- Row with columns divided in 1:2 ratio -->
		<h3 class="pt-3 pd-3">1:2 Ratio</h3>
		<div class="text-light row">
			<div class="bg-primary pt-3 pd-3 border border-dark col-4">
				4 Columns
			</div>
			<div class="bg-secondary pt-3 pd-3 border border-dark col-8">
				8 Columns
			</div>
		</div>

        <!-- Row with columns in 1:3 ratio -->
		<h3 class="pt-3 pd-3">1:3 Ratio</h3>
		<div class="text-light row">
			<div class="bg-primary pt-3 pd-3 border border-dark col-3">
				3 Columns
			</div>
			<div class="bg-secondary pt-3 pd-3 border border-dark col-9">
				9 Columns
			</div>
		</div>
	</div>

	<!-- 3 columns start -->
	<h2>3 Columns</h2>
	<div class="container-fluid">
		<h3>1:1:1 Ratio</h3>
		<div class="text-light row">
			<div class="bg-primary pt-3 pd-3 border border-dark col-4">
				4 Columns
			</div>
			<div class="bg-secondary pt-3 pd-3 border border-dark col-4">
				4 Columns
			</div>
			<div class="bg-primary pt-3 pd-3 border border-dark col-4">
				4 Columns
			</div>			
		</div>

		<h3>1:2:1 Ratio</h3>
		<div class="text-light row">
			<div class="bg-primary pt-3 pd-3 border border-dark col-3">
				3 Columns
			</div>
			<div class="bg-secondary pt-3 pd-3 border border-dark col-6">
				6 Columns
			</div>
			<div class="bg-danger pt-3 pd-3 border border-dark col-3">
				3 Columns
			</div>			
		</div>

		<h3>Uneven Ratio</h3>
		<div class="text-light row">
			<div class="bg-primary pt-3 pd-3 border border-dark col-3">
				3 Columns
			</div>
			<div class="bg-secondary pt-3 pd-3 border border-dark col-7">
				7 Columns
			</div>
			<div class="bg-warning pt-3 pd-3 border border-dark col-2">
				2 Columns
			</div>			
		</div>
	</div>

		<h2>Automatic Sizing </h2>
		<div class="container-fluid">
			<div class="text-light row">
				<div class="bg-primary pt-3 pd-3 border border-dark col">
					Auto
				</div>
				<div class="bg-secondary pt-3 pd-3 border border-dark col">
					Auto
				</div>
				<div class="bg-primary pt-3 pd-3 border border-dark col">
					Auto
				</div>
				<div class="bg-secondary pt-3 pd-3 border border-dark col">
					Auto
				</div>
				<div class="bg-primary pt-3 pd-3 border border-dark col">
					Auto
				</div>
			</div>
		</div>

		<!-- Mobile responsive columns -->
	<h2>Mobile Responsive Columns</h2>
	<div class="container-fluid">
		<div class="row text-light">
			<div class="bg-primary pt-3 pd-3 border border-dark col-sm-6 col-md-4 col-lg-2">
			Responsive
			</div>
			<div class="bg-primary pt-3 pd-3 border border-dark col-sm-6 col-md-8 col-lg-10">
				Responsive
			</div>
		</div>
	</div>

	<!-- Multi-column layout -->
	<!--
		Important Note:
			- This approach is good for dynamic elements in which we have no idea how many columns would be generated in a row.
			- A practical application of this is creating a catalog/products page for an ecommerce website.
			- If the elements inside a row exceed the total amount of 12 columns, the succeeding elements will be displayed below creating multiple layers.
		-->
	<h2>Multi-column Layouts</h2>
	<div class="container-fluid">
		<div class="row text-light">
			<div class="bg-primary pt-3 pd-3 border border-dark col-4">
				Catalog 1
			</div>
			<div class="bg-primary pt-3 pd-3 border border-dark col-4">
				Catalog 2
			</div>
			<div class="bg-primary pt-3 pd-3 border border-dark col-4">
				Catalog 3
			</div>
			<div class="bg-primary pt-3 pd-3 border border-dark col-4">
				Catalog 4
			</div>
			<div class="bg-primary pt-3 pd-3 border border-dark col-4">
				Catalog 5
			</div>
			<div class="bg-primary pt-3 pd-3 border border-dark col-4">
				Catalog 6
			</div>
		</div>
	</div>

	<!-- Offsetting columns -->
	<!--
		Important Note:
			- The "offset-" class allows to create a specified amount of space from the left side of a layer.
			- Offsetting different layers of columns can help create varying layouts.
	-->
	<h2>Offsetting Columns</h2>
	<div class="container-fluid">
		<div class="row text-light">
			<div class="bg-primary pt-3 pd-3 border border-dark offset-2 col-6">
				6 Columns with offset == 2
			</div>
			<div class="bg-primary pt-3 pd-3 border border-dark offset-md-3 col-6">
				6 Columns with offset == md-3
			</div>
			<div class="bg-primary pt-3 pd-3 border border-dark offset-lg-4 col-6">
				6 Columns with offset == lg-4
			</div>
		</div>
	</div>

	<!-- Column orders -->
	<h2>Column Orders</h2>
	<div class="container-fluid">
		<div class="row text-light">
			<div class="bg-primary pt-3 pd-3 border border-dark col order-2 order-md-1">
				Left
			</div>
			<div class="bg-warning pt-3 pd-3 border border-dark col order-1 order-md-2">
				Right
			</div>
		</div>
	</div>
	


	<!-- Start of bootstrap script -->
		<script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
		<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-Fy6S3B9q64WdZWQUiU+q4/2Lc9npb8tCaSX9FK7E8HnRr0Jz8D6OP9dO5Vg3Q9ct" crossorigin="anonymous"></script>
		<!-- End of bootstrap script -->
</body>
</html>